Class CoAPEndpointBuilderFactory.CoAPHeaderNameBuilder
java.lang.Object
org.apache.camel.builder.endpoint.dsl.CoAPEndpointBuilderFactory.CoAPHeaderNameBuilder
- Enclosing interface:
- CoAPEndpointBuilderFactory
The builder of headers' name for the CoAP component.
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptioncoapETag()The CoAP ETag for the response.The CoAP Max-Age for the response body.The request method that the CoAP producer should use when calling the target CoAP server URI.The CoAP response code sent by the external server.coapUri()The URI of a CoAP server to call.The content type.
-
Constructor Details
-
CoAPHeaderNameBuilder
public CoAPHeaderNameBuilder()
-
-
Method Details
-
coapETag
The CoAP ETag for the response. The option is a:byte[]type. Group: common- Returns:
- the name of the header
CoapETag.
-
coapMaxAge
The CoAP Max-Age for the response body. The option is a:java.lang.Longtype. Group: common- Returns:
- the name of the header
CoapMaxAge.
-
coapMethod
The request method that the CoAP producer should use when calling the target CoAP server URI. Valid options are DELETE, GET, PING, POST & PUT. The option is a:Stringtype. Group: common- Returns:
- the name of the header
CoapMethod.
-
coapResponseCode
The CoAP response code sent by the external server. See RFC 7252 for details of what each code means. The option is a:Stringtype. Group: common- Returns:
- the name of the header
CoapResponseCode.
-
coapUri
The URI of a CoAP server to call. Will override any existing URI configured directly on the endpoint. The option is a:Stringtype. Group: common- Returns:
- the name of the header
CoapUri.
-
contentType
The content type. The option is a:Stringtype. Group: common- Returns:
- the name of the header
Content-Type.
-